IRremoteESP8266: Daikin152Protocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
Daikin152Protocol Union Reference

Native representation of a Daikin152 A/C message. More...

`#include <ir_Daikin.h>`

## Public Attributes

uint8_t | raw [kDaikin152StateLength]
| The state of the IR remote. More...
struct {
uint8_t pad0 [5]
uint8_t Power:1
uint8_t __pad0__:3
uint8_t Mode:3
uint8_t __pad1__:1
uint8_t __pad2__:1
uint8_t Temp:7
uint8_t __pad3__:8
uint8_t SwingV:4
uint8_t Fan:4
uint8_t pad1 [4]
uint8_t Powerful:1
uint8_t __pad4__:4
uint8_t Quiet:1
uint8_t __pad5__:2
uint8_t pad2 [2]
uint8_t __pad6__:1
uint8_t Comfort:1
uint8_t Econo:1
uint8_t Sensor:1
uint8_t __pad7__:4
uint8_t __pad8__:8
uint8_t Sum:8
}; |

## Detailed Description

Native representation of a Daikin152 A/C message.

## Member Data Documentation

## ◆ @27

struct { ... }

## ◆ __pad0__

uint8_t Daikin152Protocol::__pad0__

## ◆ __pad1__

uint8_t Daikin152Protocol::__pad1__

## ◆ __pad2__

uint8_t Daikin152Protocol::__pad2__

## ◆ __pad3__

uint8_t Daikin152Protocol::__pad3__

## ◆ __pad4__

uint8_t Daikin152Protocol::__pad4__

## ◆ __pad5__

uint8_t Daikin152Protocol::__pad5__

## ◆ __pad6__

uint8_t Daikin152Protocol::__pad6__

## ◆ __pad7__

uint8_t Daikin152Protocol::__pad7__

## ◆ __pad8__

uint8_t Daikin152Protocol::__pad8__

## ◆ Comfort

uint8_t Daikin152Protocol::Comfort

## ◆ Econo

uint8_t Daikin152Protocol::Econo

## ◆ Fan

uint8_t Daikin152Protocol::Fan

## ◆ Mode

uint8_t Daikin152Protocol::Mode

## ◆ pad0

uint8_t Daikin152Protocol::pad0[5]

## ◆ pad1

uint8_t Daikin152Protocol::pad1[4]

## ◆ pad2

uint8_t Daikin152Protocol::pad2[2]

## ◆ Power

uint8_t Daikin152Protocol::Power

## ◆ Powerful

uint8_t Daikin152Protocol::Powerful

## ◆ Quiet

uint8_t Daikin152Protocol::Quiet

## ◆ raw

uint8_t Daikin152Protocol::raw[kDaikin152StateLength]

The state of the IR remote.

## ◆ Sensor

uint8_t Daikin152Protocol::Sensor

## ◆ Sum

uint8_t Daikin152Protocol::Sum

## ◆ SwingV

uint8_t Daikin152Protocol::SwingV

## ◆ Temp

uint8_t Daikin152Protocol::Temp

The documentation for this union was generated from the following file:

- src/ir_Daikin.h